Get earnings for user by date
curl --request GET \
--url https://api.aisa.one/apis/v1/polymarket/rewards/user \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/polymarket/rewards/user"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/polymarket/rewards/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"limit": 100,
"count": 1,
"next_cursor": "LTE=",
"data": [
{
"date": "2024-03-26T00:00:00Z",
"condition_id": "0xbd31dc8a20211944f6b70f31557f1001557b59905b7738480ca09bd4532f84af",
"asset_address": "0x9c4E1703476E875070EE25b56A58B008CFb8FA78",
"maker_address": "0xFeA4cB3dD4ca7CefD3368653B7D6FF9BcDFca604",
"earnings": 0.237519,
"asset_rate": 1
}
]
}Polymarket Clob
Get earnings for user by date
Returns earnings for a user on a given date. Requires API key auth headers.
GET
https://api.aisa.one
/
apis
/
v1
/
polymarket
/
rewards
/
user
Get earnings for user by date
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Date in YYYY-MM-DD format
Maker address to query earnings for
Pagination cursor from previous response
Signature type for address derivation (required for API KEY auth):
- 0: EOA
- 1: POLY_PROXY
- 2: POLY_GNOSIS_SAFE
Available options:
0, 1, 2 If true, returns sponsored-only earnings
Response
Successfully retrieved user earnings